# Class AreaDomain

java.lang.Object
uk.ac.starlink.ttools.AreaDomain

All Implemented Interfaces:
  `uk.ac.starlink.table.Domain<AreaMapper>`

public class AreaDomain extends Object implements uk.ac.starlink.table.Domain<AreaMapper>
Domain representing two-dimensional regions on a common surface. The surface may be a plane or the surface of a sphere.

The sole instance of this singleton class is available as the `INSTANCE` static member.

Since:
  14 Apr 2020
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AreaMapper`
`ASCIIMOC_MAPPER`
Mapper for ASCII format MOCs.
`static final AreaMapper`
`CIRCLE_MAPPER`
Mapper for (x,y,r) circles - see DALI 1.1 section 3.3.6.
`static final AreaDomain`
`INSTANCE`
Singleton instance.
`static final AreaMapper`
`POINT_MAPPER`
Mapper for (x,y) points - see DALI 1.1 section 3.3.5.
`static final AreaMapper`
`POLYGON_MAPPER`
Mapper for (xi,yi,...) polygons - see DALI 1.1 section 3.3.7.
`static final AreaMapper`
`STCS_MAPPER`
STC-S - see TAP 1.0 section 6.
`static final AreaMapper`
`TFCAT_MAPPER`
Mapper for TFCat strings.
`static final AreaMapper`
`UNIQ_MAPPER`
Mapper for single HEALPix UNIQ values.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDomainName()`
`AreaMapper[]`
`getMappers()`
`AreaMapper`
`getPossibleMapper(uk.ac.starlink.table.ValueInfo info)`
`AreaMapper`
`getProbableMapper(uk.ac.starlink.table.ValueInfo info)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final AreaDomain INSTANCE
Singleton instance.

### STCS_MAPPER

public static final AreaMapper STCS_MAPPER
STC-S - see TAP 1.0 section 6.

### CIRCLE_MAPPER

public static final AreaMapper CIRCLE_MAPPER
Mapper for (x,y,r) circles - see DALI 1.1 section 3.3.6.

### POLYGON_MAPPER

public static final AreaMapper POLYGON_MAPPER
Mapper for (xi,yi,...) polygons - see DALI 1.1 section 3.3.7.

### POINT_MAPPER

public static final AreaMapper POINT_MAPPER
Mapper for (x,y) points - see DALI 1.1 section 3.3.5.

### ASCIIMOC_MAPPER

public static final AreaMapper ASCIIMOC_MAPPER
Mapper for ASCII format MOCs.

### UNIQ_MAPPER

public static final AreaMapper UNIQ_MAPPER
Mapper for single HEALPix UNIQ values.

### TFCAT_MAPPER

public static final AreaMapper TFCAT_MAPPER
Mapper for TFCat strings.

## Method Details

### getDomainName

public String getDomainName()

Specified by:
  `getDomainName` in interface `uk.ac.starlink.table.Domain<AreaMapper>`

### getMappers

public AreaMapper[] getMappers()

Specified by:
  `getMappers` in interface `uk.ac.starlink.table.Domain<AreaMapper>`

### getProbableMapper

public AreaMapper getProbableMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getProbableMapper` in interface `uk.ac.starlink.table.Domain<AreaMapper>`

### getPossibleMapper

public AreaMapper getPossibleMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getPossibleMapper` in interface `uk.ac.starlink.table.Domain<AreaMapper>`